v1.0.0
OpenAPI 3.1.0

Get an archived message

US region

Client Libraries

Get an archived message

Returns the archived copy of a delivery, including the message body, recipient, and metrics. This endpoint is limited to 100 requests per day.

Path Parameters
  • message_id
    Type: string
    required

    The identifier of a message.

Responses
  • application/json
  • 404

    The message does not exist.

  • 429

    Your request is over the 10-per-second limit.

Request Example for get/v1/messages/{message_id}/archived_message
curl 'https://api.customer.io/v1/messages/{message_id}/archived_message' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "archived_message": {
    "id": "dgOq6QWq6QUBAAF4_CGoeVX7mFkDbRFu7ek=",
    "body": "<!DOCTYPE html><html><head>\\n<meta http-equiv=\\\"Content-Type\\\" content=\\\"text/html; charset=UTF-8\\\"/><h1>Hello World</h1>\\n\\n</body></html>",
    "from": "sentFrom@example.com",
    "reply_to": "replyto@example.com",
    "recipient": "person@example.com",
    "subject": "Did you get that thing I sent you?",
    "cc": "string",
    "bcc": "string",
    "fake_bcc": true,
    "preheader_text": "string",
    "url": "https://example.com/webhook",
    "request_method": "POST",
    "headers": "[{\"name\":\"X-Mailgun-Tag\",\"value\":\"my-cool-tag\"},{\"name\":\"X-Custom-Header\",\"value\":\"custom-value\"}]",
    "forgotten": false
  }
}